summaryrefslogtreecommitdiff
path: root/lib/make
diff options
context:
space:
mode:
authortradke <tradke@17b73243-c579-4c4c-a9d2-2d5706c11dac>2000-03-14 17:26:06 +0000
committertradke <tradke@17b73243-c579-4c4c-a9d2-2d5706c11dac>2000-03-14 17:26:06 +0000
commitd100473577d3101b15b5913fa43387a1d1ba9a8b (patch)
treea44c618bb76d52fc4423ff198b6b861561a907c8 /lib/make
parent3e901df5b706b893d9cf672e8ee43ac3fcc415a2 (diff)
Checks for zlib in old 1.0.x versions of HDF5.
Fixes (second part of) Erik's BR Compiler/274. Thomas git-svn-id: http://svn.cactuscode.org/flesh/trunk@1471 17b73243-c579-4c4c-a9d2-2d5706c11dac
Diffstat (limited to 'lib/make')
-rwxr-xr-xlib/make/extras/HDF5/setup.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/lib/make/extras/HDF5/setup.sh b/lib/make/extras/HDF5/setup.sh
index 42da18af..1a648b1d 100755
--- a/lib/make/extras/HDF5/setup.sh
+++ b/lib/make/extras/HDF5/setup.sh
@@ -57,7 +57,11 @@ HDF5_INC_DIRS="$HDF5_DIR/include"
grep -qe '#define HAVE_COMPRESS2 1' ${HDF5_DIR}/include/H5config.h 2> /dev/null
test_compress2=$?
-if [ $test_compress2 -eq 0 ] ; then
+# this is for old 1.0.x versions of HDF5 where they used different defines for zlib
+grep -qe '#define HAVE_LIBZ 1' ${HDF5_DIR}/include/H5config.h 2> /dev/null
+test_zlib=$?
+
+if [ $test_compress2 -eq 0 -o $test_zlib -eq 0 ] ; then
if test -z "$LIBZ_DIR" ; then
echo "HDF5 library was compiled with libz, searching for libz.a ..."
CCTK_Search LIBZ_DIR "/usr/lib /usr/local/lib c:/packages/libz" libz.a